require 'totter/version'
require 'totter/client'
require 'totter/error'

# Totter, as in teeter-totter, let's you work with the Seesaw API in Ruby.
module Totter
  class << self
    # Alias for Totter::Client.new
    #
    # @return [Totter::Client]
    def new(options = {})
      Client.new(options)
    end

    # Delegate to Totter::Client.new
    def method_missing(method, *args, &block)
      return super unless new.respond_to?(method)
      new.send(method, *args, &block)
    end

    # Forward respond_to? to Totter::Client.new
    def respond_to?(method, include_private = false)
      new.respond_to?(method, include_private) || super(method, include_private)
    end
  end
end
