module Totter
  class Client
    # Client methods for working with connection objects
    module Connections
      # Performs a find friends operation for a given connection token
      #
      # @param token [String] The connection token
      # @return [Hashie::Mash]
      # @example
      #   Totter.find_connection_friends('abc1234')
      def find_connection_friends(token)
        post("connections/#{token}/find_friends").body
      end

      # Returns connections for the authenticating user
      #
      # @return [Array]
      # @example
      #    Totter.connections
      def connections
        get("connections").body
      end
    end
  end
end
