module Totter
  class Client
    # Client methods for working with slugs.
    module Slugs
      # Get a slug.
      #
      # @param id [String] the slug id
      # @param unique_id [String] an optional tracking string
      # @return [Hashie::Mash]
      # @example
      #   Totter.slug('d/3I0n0g')
      def slug(id, unique_id = nil)
        path =  "slugs/#{id}"
        path += "?unique_id=#{unique_id}" if unique_id
        get(path).body
      end
    end
  end
end
